AbstractTypeVisitorPreview (Java SE 25 & JDK 25)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: AbstractTypeVisitorPreview
Keywords: javax.lang.model.util.AbstractTypeVisitorPreview class

# Class AbstractTypeVisitorPreview<R,P>

java.lang.Object
javax.lang.model.util.AbstractTypeVisitor6<R,P>
javax.lang.model.util.AbstractTypeVisitor7<R,P>
javax.lang.model.util.AbstractTypeVisitor8<R,P>
javax.lang.model.util.AbstractTypeVisitor9<R,P>
javax.lang.model.util.AbstractTypeVisitor14<R,P>
javax.lang.model.util.AbstractTypeVisitorPreview<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `TypeVisitor<R,P>`

@SupportedSourceVersion(RELEASE_25) public abstract class AbstractTypeVisitorPreview<R,P> extends AbstractTypeVisitor14<R,P>
`AbstractTypeVisitorPreview` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A skeletal visitor of types with default behavior appropriate for a preview source version.

Since:
  23
See Also:
  - Expected visitor evolution
  - Compatibility note for subclasses
  - `AbstractTypeVisitor6`
  - `AbstractTypeVisitor7`
  - `AbstractTypeVisitor8`
  - `AbstractTypeVisitor9`
  - `AbstractTypeVisitor14`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTypeVisitorPreview()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  ### Methods declared in class AbstractTypeVisitor8

  `visitIntersection`

  ### Methods declared in class AbstractTypeVisitor7

  `visitUnion`

  ### Methods declared in class AbstractTypeVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface TypeVisitor

  `visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

- ## Constructor Details

  - ### AbstractTypeVisitorPreview

    protected AbstractTypeVisitorPreview()
    Constructor for concrete subclasses to call.